= 2018-03-21 chrome-gnome-shell 10.1 =

== Changes ==
 * Firefox: multiple fixes of GNOME Shell extensions synchronization.
 * Firefox 56 is minimum supported version now. ESR users should use browser extension
   version 10.0.1.

== Translations ==
 * Croatian (gogo)
 * Danish (Alan Mortensen, Ask Hjorth Larsen)
 * Dutch (Nathan Follens)
 * Estonian (Liivia Lilleväli, Mart Raudsepp)
 * German (Mario Blättermann)
 * Hungarian (Balázs Úr)
 * Indonesian (Kukuh Syafaat)
 * Serbian (Мирослав Николић)
 * Spanish (Daniel Mustieles)
 * Turkish (Emin Tufan Çetin)

== Known issues ==
 * In Firefox with enabled synchronization of GNOME Shell extensions all Shell extensions may be
   removed after screen got locked because of missed support of "locked" idle state
   in WebExtensions API implementation
   (https://developer.mozilla.org/ru/Add-ons/WebExtensions/API/idle/onStateChanged).
 * Chrome extension may be auto uninstalled after upgrade to connector version 10.
   It can be restored using inline installation link at https://extensions.gnome.org or using
   Chrome Store (https://chrome.google.com/webstore/detail/gphhapmejobijbbhgpjhcjognlahblep).
 * Firefox can consume a lot of CPU and sometime crash on quit because of Mozilla's bug 1349874
   (https://bugzilla.mozilla.org/show_bug.cgi?id=1349874).


= 2018-02-04 chrome-gnome-shell 10 =

== Changes ==
 * FreeBSD is supported again.
 * Enabled GNOME Shell extensions synchronization in Firefox.
 * Added option to check updates of enabled only GNOME Shell extensions.
 * Added GNOME proxy support for update checks.
 * Update errors will not produce desktop notifications anymore. All errors now goes to
   browser console.
 * Chrome managed policies no longer got installed so browser extensions will not be
   force installed along with connector.
   It's possible to use inline installation of browser extensions through
   https://extensions.gnome.org website now.
 * Added light icon for dark browser themes. Use options page to switch icon.
 * Various fixes for options page in Firefox

== Translations ==
 * Catalan (Jordi Mas)
 * Croatian (gogo)
 * Czech (Marek Cernocky)
 * Danish (Alan Mortensen, Ask Hjorth Larsen)
 * Dutch (Nathan Follens)
 * Galician (Fran Dieguez)
 * German (Mario Blättermann)
 * Hungarian (Balázs Úr)
 * Indonesian (Kukuh Syafaat)
 * Italian (Gianvito Cavasoli)
 * Norwegian (Kjartan Maraas)
 * Polish (Piotr Drąg)
 * Portuguese (Brazil) (Rafael Fontenelle)
 * Serbian (Мирослав Николић)
 * Slovak (Dušan Kazik)
 * Spanish (Daniel Mustieles)
 * Swedish (Anders Jonsson)

== Known issues ==
 * Chrome extension may be auto uninstalled after upgrade to connector version 10.
   It can be restored using inline installation link at https://extensions.gnome.org or using
   Chrome Store (https://chrome.google.com/webstore/detail/gphhapmejobijbbhgpjhcjognlahblep).
 * Firefox can consume a lot of CPU and sometime crash on quit because of Mozilla's bug 1349874
   (https://bugzilla.mozilla.org/show_bug.cgi?id=1349874).


= 2017-04-16 chrome-gnome-shell 9 =

== Changes ==
 * Shell extensions website is now opened on GNOME icon click.
 * Show useful error message in Firefox instead of "Attempt to postMessage on
   disconnected port" in case native connector is not installed.
 * Improved error handling when GNOME Shell is not installed or not running.
 * In case native connector not found show warning instead of error.
 * Python-requests made optional dependency for native connector. In case it is
   missed update check will not work.
 * Implemented synchronization queue that will lower events overhead.
 * Fixed synchronization issue that may disable all Shell extensions.
 * Fixed compatibility issue with Firefox 54+.
 * Fixed crash in native connector on older distros like Ubuntu Trusty.
 * Fixed formating of error message in options page.
 * Fixed gsettings GNOME Shell schema lookup in native connector.
 * Removed deprecated and compatibility code. Firefox 52 is minimal supported
   version now.

== Translations ==
 * Czech (Marek Černocký)
 * Danish (Alan Mortensen)
 * Dutch (Hannie Dumoleyn)
 * French (Alexandre Franke)
 * Hungarian (Balázs Úr)
 * Indonesian (Andika Triwidada, Kukuh Syafaat)
 * Italian (Gianvito Cavasoli)
 * Galician (Fran Dieguez)
 * German (Florian Heiser, Mario Blättermann)
 * Korean (Seong-ho Cho)
 * Polish (Piotr Drąg)
 * Portuguese (Brazil) (Rafael Fontenelle)
 * Scottish Gaelic (GunChleoc)
 * Swedish (Anders Jonsson)

== Known issues ==
 * Native host connector is not working in Google Chrome and Opera when
   installed via Debian Stretch or Sid repositories. To know "why?" look
   here (https://github.com/nE0sIghT/chrome-gnome-shell-mirror/issues/17),
   here (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=840804) and
   here (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=840235). For a
   workaround look here
   (https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome/Installation#Troubleshooting).
 * Web extension is broken on FreeBSD because of bug 212925
   (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=212925).


= 2017-03-02 chrome-gnome-shell 8.2 =

== Changes ==
 * Fixed error that prevents update notification to appear (github#36).
 * Fixed error that prevents extensions.gnome.org to be opened when update notification was clicked.
 * Fixed crash in native host connector when GNOME Shell is not running (github#35).

== Translations ==
 * Finnish (Jiri Grönroos)
 * Serbian (Мирослав Николић)

== Known issues ==
 * Native host connector is not working in Google Chrome and Opera when installed via Debian Stretch or Sid
   repositories. To know "why?" look
   here (https://github.com/nE0sIghT/chrome-gnome-shell-mirror/issues/17),
   here (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=840804) and
   here (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=840235). For a workaround
   look here
   (https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome/Installation#Troubleshooting).
 * Web extension is broken on FreeBSD because of bug 212925
   (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=212925).


= 2017-02-12 chrome-gnome-shell 8.1 =

== Changes ==
 * Added check to make sure that "enabled-extensions" GNOME Shell setting does not contains duplicated values
   (GNOME Shell bug 777650).
 * Fixed error that breaks update check if there was extension installed without "version" key in manifest.
 * Fixed error that prevents error message to be shown when update check is failed.
 * Fixed connector segfault on browser close.
 * Fixed possible error in synchronization process that may delete some extensions.
 * Switched Ubuntu PPA packages to use Python 3.

== Translations ==
 * Danish (Alan Mortensen)
 * German (Mario Blättermann)
 * Slovak (Dušan Kazik)

== Known issues ==
 * Native host connector is not working in Google Chrome and Opera when installed via Debian Stretch or Sid
   repositories. To know "why?" look
   here (https://github.com/nE0sIghT/chrome-gnome-shell-mirror/issues/17),
   here (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=840804) and
   here (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=840235). For a workaround
   look here
   (https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome/Installation#Troubleshooting).
 * Web extension is broken on FreeBSD because of bug 212925
   (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=212925).


= 2017-01-04 chrome-gnome-shell 8 =

== Changes ==
 * Added Mozilla Firefox support (https://addons.mozilla.org/ru/firefox/addon/gnome-shell-integration/).
   Native host connector version 8 or newer required.
 * Added support for asynchronous browser API to extensions.gnome.org and switched chrome-gnome-shell to using such API.
   Review pages are works well now when browser extension is enabled.
 * Moved update check code to native connector to be able to get verbose error messages when update check is failed.
   Python Requests 2 required now.
 * Implemented notifications support in native connector. This will unify notifications for all supported browsers.
   As part of this change native connector rewritten as GApplication with DBus activation. DBus support is required now.
 * Code cleanup.

== Translations ==
 * Czech (Marek Černocký)
 * Dutch (Hannie Dumoleyn)
 * French (Alexandre Franke)
 * Italian (Gianvito Cavasoli)
 * Polish (Piotr Drąg)
 * Portuguese (Brazil) (Rafael Fontenelle)
 * Spanish (Daniel Mustieles)
 * Swedish (Anders Jonsson, Josef Andersson)
 * Turkish (Muhammet Kara)

== Known issues ==
 * Native host connector is not working in Google Chrome and Opera when installed via Debian Stretch or Sid
   repositories. To know "why?" look
   here (https://github.com/nE0sIghT/chrome-gnome-shell-mirror/issues/17),
   here (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=840804) and
   here (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=840235). For a workaround
   look here
   (https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome/Installation#Troubleshooting).
 * Web extension is broken on FreeBSD because of bug 212925
   (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=212925).


= 2016-11-19 chrome-gnome-shell 7.2 =

== Changes ==
 * Fixed Ubuntu/Debian packaging.
 * Prepared extension to extensions.gnome.org site update.
 * Code cleanup.

== Translations ==
 * Danish (Alan Mortensen)
 * Occitan (Cédric Valmary)

== Known issues ==
 * Native host connector is not working in Google Chrome when installed via Debian Sid repository
   or Ubuntu 16.10 Universe repository. To know "why?" look
   here (https://github.com/nE0sIghT/chrome-gnome-shell-mirror/issues/17),
   here (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=840804) and
   here (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=840235). For a workaround
   look here
   (https://wiki.gnome.org/Projects/GnomeShellIntegrationForChrome/Installation#Troubleshooting).
 * Web extension is broken on FreeBSD because of bug 212925
   (https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=212925).


= 2016-09-24 chrome-gnome-shell 7.1 =

== Changes ==
 * Fixed continuous error popups while checking extensions update if system
   GNOME Shell extensions are installed or user extension metadata is broken
   (thanks to yut23 from Github for finding this at bug #8
   (https://github.com/nE0sIghT/chrome-gnome-shell-mirror/issues/8)).
 * Fixed possible wrong GNOME Shell signals subscription.
 * Fixed possible asynchronous error on unsupported platforms.
 * Fixed build on FreeBSD.
 * Fixed Ubuntu/Debian package.
 * Native messaging connector optimization.

== Translations ==
 * Czech (Marek Černocký)
 * Italian (Gianvito Cavasoli)
 * Portuguese (Brazil) (Rafael Fontenelle)

== Known issues ==
Web extension is broken on FreeBSD because of bug 212925
(https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=212925).

= 2016-09-05 chrome-gnome-shell 7 =

== Changes ==
 * Opera browser support (https://addons.opera.com/ru/extensions/details/gnome-shell-integration/).
   Native host connector version 7 or newer required.
 * Implemented extensions synchronization via browser remote storage (not supported in Opera).
 * Extension installation now forced via Chrome policies.
 * Native host connector stability enchancements.
 * Native host connector now installed with distutils.
 * Added workaround for wrong FreeBSD Chromium patch.

== Translations ==
 * Catalan (Jordi Mas i Hernàndez)
 * Dutch (Hannie Dumoleyn)
 * Finnish (Jiri Grönroos)
 * French (Alexandre Franke)
 * German (Mario Blättermann)
 * Hungarian (Meskó Balázs)
 * Polish (Piotr Drąg)
 * Portuguese (Brazil) (Enrico Nicoletto)
 * Scottish Gaelic (GunChleoc)
 * Serbian (Мирослав Николић)
 * Slovenian (Matej Urbančič)
 * Spanish (Daniel Mustieles)
 * Swedish (Anders Jonsson)
 * Turkish (Muhammet Kara)

= 2016-08-06 chrome-gnome-shell 6.2 =

== Changes ==
 * Fixed a hang in native host connector.
 * Fixed several errors that may break extension initialization.
 * Added information message while extension starting up.

== Translations ==
 * Catalan (Jordi Mas i Hernàndez)
 * French (Alexandre Franke)
 * German (Wolfgang Stoeggl)
 * Hungarian(Balázs Meskó, Gabor Kelemen)
 * Indonesian (Andika Triwidada)
 * Polish (Piotr Drąg)
 * Portuguese (Brazil) (Rafael Fontenelle)
 * Portuguese (Portugal) (Tiago Santos)
 * Spanish (Daniel Mustieles)
 * Swedish (Anders Jonsson)

= 2016-06-07 chrome-gnome-shell 6.1 =

== Translations ==
 * French (Alain Lojewski)
 * German (Mario Blättermann)
 * Spanish (Daniel Mustieles)

= 2016-05-14 chrome-gnome-shell 6 =

== Changes ==

 * Python 3 support for native host connector
 * It's possible now to show exact network error when it occurs. This feature
   may be activated in options page and requires
   webRequest (https://developer.chrome.com/extensions/webRequest) permission
   (https://github.com/nE0sIghT/chrome-gnome-shell-mirror/issues/2)
 * Switched to gettext format for translations

== Translations ==
 * Polish (Piotr Drąg)
 * Portuguese (Brazil) (Rafael Fontenelle)
 * Swedish (Anders Jonsson)
